## EmpathyFilter

EmpathyFilter

## Synopsis

                        EmpathyFilterPriv;
                        EmpathyFilter;
    EmpathyFilter*      empathy_filter_new                  (const gchar *bus_name,
                                                             const gchar *object_path,
                                                             const gchar *channel_type,
                                                             guint priority,
                                                             guint flags);
    void                empathy_filter_process              (EmpathyFilter *filter,
                                                             TpChan *tp_chan,
                                                             gboolean process);

## Object Hierarchy

      GObject
       +----EmpathyFilter

## Signals

      "new-channel"                                    : Run Last
      "process"                                        : Run Last

## Description

## Details

### EmpathyFilterPriv

    typedef struct _EmpathyFilterPriv EmpathyFilterPriv;

### EmpathyFilter

    typedef struct _EmpathyFilter EmpathyFilter;

### empathy_filter_new ()

    EmpathyFilter*      empathy_filter_new                  (const gchar *bus_name,
                                                             const gchar *object_path,
                                                             const gchar *channel_type,
                                                             guint priority,
                                                             guint flags);

`bus_name` : |
`object_path` : |
`channel_type` : |
`priority` : |
`flags` : |
Returns : |

### empathy_filter_process ()

    void                empathy_filter_process              (EmpathyFilter *filter,
                                                             TpChan *tp_chan,
                                                             gboolean process);

`filter` : |
`tp_chan` : |
`process` : |

## Signal Details

### The "new-channel" signal

    void                user_function                      (EmpathyFilter *empathyfilter,
                                                            TpConn        *arg1,
                                                            TpChan        *arg2,
                                                            gpointer       user_data)          : Run Last

`empathyfilter` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The "process" signal

    void                user_function                      (EmpathyFilter *empathyfilter,
                                                            guint          arg1,
                                                            gboolean       arg2,
                                                            gpointer       user_data)          : Run Last

`empathyfilter` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.